Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I installed sage on ubuntu but nothing on the command line executes. The relevant portion in the long error message is:

ImportError: libgfortran.so.3: cannot open shared object file: No such file or directory
Error importing ipy_profile_sage - perhaps you should run %upgrade?
WARNING: Loading of ipy_profile_sage failed.

I tried sudo apt-get install gfortran and sudo apt-get install libgfortran.so.3

But neither seem to work. I tried the Ubuntu Software Center GUI but it seems broken as it keeps showing the rotating wait prompt even though my net is working. I'm a bit stuck. Thanks.

share|improve this question
add comment

2 Answers 2

up vote 2 down vote accepted

I can confirm that it is package libgfortran3 that is needed. This has been working for me on Ubuntu Lucid (32bit):

apt-get install libgfortran3

cheers.

share|improve this answer
add comment

See this Ubuntu package content search for packages containing libgfortran.so.3. I guess you need libgfortran3 but I don't know sage

share|improve this answer
    
You spoiled it. Using fortran is SUPPOSED to be a punishment. –  con-f-use Jun 10 '11 at 18:47
    
I installed the libgfortran3-armel-cross from the website, reinstalled sage and it is showing the same error –  yayu Jun 10 '11 at 19:23
    
Most likely libgfortran3-armel-cross is the wrong package. Try libgfortran3 (you can use apt-get to install it) –  Florian Diesch Jun 10 '11 at 19:53
    
@con-f-use: why is FORTRAN punishment for you? or if you don't have have constructive answer better don't –  zetah Oct 4 '11 at 21:58
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.